Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class MeetingAttendanceTracking.AttendeeType

    java.lang.Object
      portlets.compoze.groupware.calendar.MeetingAttendanceTracking.AttendeeType

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MeetingAttendanceTracking

public static class MeetingAttendanceTracking.AttendeeType
extends java.lang.Object
implements java.io.Serializable

This class represents meeting attendee type.

See Also:
  Serialized Form

Field Summary
`static MeetingAttendanceTracking.AttendeeType` | `MEETING_ORGANIZER` This value represents a 'meeting organizer' meeting attendee type.
`static MeetingAttendanceTracking.AttendeeType` | `OPTIONAL_ATTENDEE` This value represents an 'optional attendee' meeting attendee type.
`static MeetingAttendanceTracking.AttendeeType` | `REQUIRED_ATTENDEE` This value represents a 'requried attendee' meeting attendee type.
`static MeetingAttendanceTracking.AttendeeType` | `RESOURCE` This value represents a 'resource' meeting attendee type.
`static MeetingAttendanceTracking.AttendeeType` | `ROOM` This value represents a 'room' meeting attendee type.
`static MeetingAttendanceTracking.AttendeeType` | `UNKNOWN` This value represents a 'meeting organizer' meeting attendee type.
`static int` | `VALUE_MEETING_ORGANIZER` This value represents the 'meeting organizer' value.
`static int` | `VALUE_OPTIONAL_ATTENDEE` This value represents the 'optional attendee' value.
`static int` | `VALUE_REQUIRED_ATTENDEE` This value represents the 'requried attendee' value.
`static int` | `VALUE_RESOURCE` This value represents the 'resource' value.
`static int` | `VALUE_ROOM` This value represents the 'room' value.
`static int` | `VALUE_UNKNOWN` This value represents the 'unknown' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static MeetingAttendanceTracking.AttendeeType` | `get(int iValue)` Gets the attendee type by the value.
`static java.util.List` | `getAttendeeTypes()` Gets the list of attendee type objects.
`java.lang.String` | `getKey()` Gets the key (resource name) for i18n.
`int` | `getValue()` Gets the value of the attendee type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_UNKNOWN

    public static final int VALUE_UNKNOWN

  This value represents the 'unknown' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_ORGANIZER

    public static final int VALUE_MEETING_ORGANIZER

  This value represents the 'meeting organizer' value.

  See Also:
    Constant Field Values

### VALUE_REQUIRED_ATTENDEE

    public static final int VALUE_REQUIRED_ATTENDEE

  This value represents the 'requried attendee' value.

  See Also:
    Constant Field Values

### VALUE_OPTIONAL_ATTENDEE

    public static final int VALUE_OPTIONAL_ATTENDEE

  This value represents the 'optional attendee' value.

  See Also:
    Constant Field Values

### VALUE_ROOM

    public static final int VALUE_ROOM

  This value represents the 'room' value.

  See Also:
    Constant Field Values

### VALUE_RESOURCE

    public static final int VALUE_RESOURCE

  This value represents the 'resource' value.

  See Also:
    Constant Field Values

### UNKNOWN

    public static final MeetingAttendanceTracking.AttendeeType UNKNOWN

  This value represents a 'meeting organizer' meeting attendee type.

### MEETING_ORGANIZER

    public static final MeetingAttendanceTracking.AttendeeType MEETING_ORGANIZER

  This value represents a 'meeting organizer' meeting attendee type.

### OPTIONAL_ATTENDEE

    public static final MeetingAttendanceTracking.AttendeeType OPTIONAL_ATTENDEE

  This value represents an 'optional attendee' meeting attendee type.

### REQUIRED_ATTENDEE

    public static final MeetingAttendanceTracking.AttendeeType REQUIRED_ATTENDEE

  This value represents a 'requried attendee' meeting attendee type.

### ROOM

    public static final MeetingAttendanceTracking.AttendeeType ROOM

  This value represents a 'room' meeting attendee type.

### RESOURCE

    public static final MeetingAttendanceTracking.AttendeeType RESOURCE

  This value represents a 'resource' meeting attendee type.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (resource name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the attendee type.

  Returns:
    the value

### get

    public static MeetingAttendanceTracking.AttendeeType get(int iValue)

  Gets the attendee type by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching attendee type or `null` if not found

### getAttendeeTypes

    public static java.util.List getAttendeeTypes()

  Gets the list of attendee type objects.

  Returns:
    the list of `AttendeeType` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.